package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ExcepcionPeaje;

public class RenderExcepcionPeaje implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ExcepcionPeaje excepcionPeaje = (ExcepcionPeaje) o;
		
		Listcell lc = new Listcell(excepcionPeaje.getExcepcionPeajeId().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(excepcionPeaje.getRuta().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(excepcionPeaje.getOrigem().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(excepcionPeaje.getDestino().toString());
		lc.setParent(lstm);
		
		lstm.setAttribute("data", excepcionPeaje);
		
	}
}
